Subject: Re: bug#62711: Suspend-to-disk with LUKS-encrypted rootdoesn’t work

From: Josselin Poiret <[email-masked]>
Date: Sat, 08 Apr 2023 12:18:28 +0200

Hi Ludo,

Ludovic Courtès <[email-masked]> writes:

> Hello!
>
> Since my laptop’s battery died, I set up suspend-to-disk as documented
> in the manual (info "(guix) Swap Space").  I use a swap file on top of
> my LUKS-encrypted root partition, so I added:
>
>      "resume=/swap"
>      "resume_offset=OFFSET"
>
> to my ‘kernel-arguments’ field, where OFFSET is given by ‘filefrag’.

No file systems are mounted before resuming, otherwise you would get
data loss.  As mekeor mentioned, you need to pass the actual device that
holds the swap file instead, specifying at which offset the file is.

I'm starting to think I should set this up as well :)

Best,
-- 
Josselin Poiret